Bug 600517 - Review Request: R-coda - coda: Output analysis and diagnostics for MCMC
Summary: Review Request: R-coda - coda: Output analysis and diagnostics for MCMC
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-04 21:42 UTC by chris desjardins
Modified: 2011-01-19 22:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-19 22:47:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chris desjardins 2010-06-04 21:42:45 UTC
Spec URL: http://dl.dropbox.com/u/1501309/Fedora/R-coda.spec
SRPM URL: http://dl.dropbox.com/u/1501309/Fedora/R-coda-0.13.5-1.fc13.src.rpm
Description: Output analysis and diagnostics for Markov Chain Monte Carlo simulations in GNU R.

Comment 1 Pierre-YvesChibon 2010-06-04 22:59:39 UTC
As a quick look at the spec:
- The URL is not correct
- The BuildRequires to tetex-latex has to be updated
- The Requires for post and postun can be removed
- you might want to change the Requires from R to R-core 
- You have a double dependency on R in your BuildRequires

Comment 2 chris desjardins 2010-06-04 23:20:44 UTC
Thanks. I have updated the *.spec and *src.rpm file. The url in my original description box should reflect this.

Comment 3 Pierre-YvesChibon 2010-06-04 23:24:05 UTC
Please update the release and the changelog when you change something on the spec

Comment 4 chris desjardins 2010-06-05 00:05:36 UTC
Here is the new spec and the new src.rpm

http://dl.dropbox.com/u/1501309/Fedora/R-coda.spec
http://dl.dropbox.com/u/1501309/Fedora/R-coda-0.13.5-2.fc13.src.rpm

Comment 5 Pierre-YvesChibon 2010-06-05 12:32:40 UTC
Pre-review (I am not intitled to sponsor you):

* Latest version packaged
88d149271be44968f36ebd31f530ba0b68e5830e  coda_0.13-5.tar.gz
88d149271be44968f36ebd31f530ba0b68e5830e  /home/pierrey/rpmbuild/SOURCES/coda_0.13-5.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* There is 1 %dir
  %dir is OK
* There is 3 %doc
  %doc is OK
* The rpm installed in _datadir
* The rpm uses %{_datadir} and is noarch
* The rpm seems to have the required element in %install
* Build properly under 2.6.33.5-112.fc13.x86_64
* rpmlint:
R-coda.src: W: spelling-error Summary(en_US) mcmc -> McMahon, McCoy, McCray
R-coda.noarch: W: spelling-error Summary(en_US) mcmc -> McMahon, McCoy, McCray
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
* Output from rpmlint safe to ignore
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2231733
   0 free  0 open  2 done  0 failed
   2231733 build (dist-f14, R-coda-0.13.5-2.fc13.src.rpm) completed successfully

* Build logs are clean
* %check is present
* All check are passed
* License is GPLv2+ and is valid for Fedora
! The file Thin.R in the R folder is an empty file
! The URL is still not valid

Comment 6 chris desjardins 2010-06-05 13:38:39 UTC
Thanks. For continuing to review this. 
re: The spelling error ... MCMC is spelled MCMC so that's fine

re: The file Thin.R in the R folder is an empty file

I don't have a Thin.R in R-coda.rpm, I do have a thin.html (or do you mean line.R (because that has data too)).

[lontra@goddard ~]$ rpm -ql R-coda
/usr/share/R/library/coda
/usr/share/R/library/coda/COPYING
/usr/share/R/library/coda/DESCRIPTION
/usr/share/R/library/coda/INDEX
/usr/share/R/library/coda/Meta
/usr/share/R/library/coda/Meta/Rd.rds
/usr/share/R/library/coda/Meta/data.rds
/usr/share/R/library/coda/Meta/hsearch.rds
/usr/share/R/library/coda/Meta/links.rds
/usr/share/R/library/coda/Meta/nsInfo.rds
/usr/share/R/library/coda/Meta/package.rds
/usr/share/R/library/coda/NAMESPACE
/usr/share/R/library/coda/R
/usr/share/R/library/coda/R/coda
/usr/share/R/library/coda/R/coda.rdb
/usr/share/R/library/coda/R/coda.rdx
/usr/share/R/library/coda/data
/usr/share/R/library/coda/data/line.R
/usr/share/R/library/coda/help
/usr/share/R/library/coda/help/AnIndex
/usr/share/R/library/coda/help/aliases.rds
/usr/share/R/library/coda/help/coda.rdb
/usr/share/R/library/coda/help/coda.rdx
/usr/share/R/library/coda/help/paths.rds
/usr/share/R/library/coda/html
/usr/share/R/library/coda/html/00Index.html
/usr/share/R/library/coda/html/Cramer.html
/usr/share/R/library/coda/html/HPDinterval.html
/usr/share/R/library/coda/html/as.ts.mcmc.html
/usr/share/R/library/coda/html/autocorr.diag.html
/usr/share/R/library/coda/html/autocorr.html
/usr/share/R/library/coda/html/autocorr.plot.html
/usr/share/R/library/coda/html/batchSE.html
/usr/share/R/library/coda/html/bugs2jags.html
/usr/share/R/library/coda/html/coda.options.html
/usr/share/R/library/coda/html/codamenu.html
/usr/share/R/library/coda/html/crosscorr.html
/usr/share/R/library/coda/html/crosscorr.plot.html
/usr/share/R/library/coda/html/cumuplot.html
/usr/share/R/library/coda/html/densplot.html
/usr/share/R/library/coda/html/effectiveSize.html
/usr/share/R/library/coda/html/gelman.diag.html
/usr/share/R/library/coda/html/gelman.plot.html
/usr/share/R/library/coda/html/geweke.diag.html
/usr/share/R/library/coda/html/geweke.plot.html
/usr/share/R/library/coda/html/heidel.diag.html
/usr/share/R/library/coda/html/linepost.html
/usr/share/R/library/coda/html/mcmc.convert.html
/usr/share/R/library/coda/html/mcmc.html
/usr/share/R/library/coda/html/mcmc.list.html
/usr/share/R/library/coda/html/mcmc.subset.html
/usr/share/R/library/coda/html/mcmcUpgrade.html
/usr/share/R/library/coda/html/mcpar.html
/usr/share/R/library/coda/html/multi.menu.html
/usr/share/R/library/coda/html/nchain.html
/usr/share/R/library/coda/html/plot.mcmc.html
/usr/share/R/library/coda/html/raftery.diag.html
/usr/share/R/library/coda/html/read.and.check.html
/usr/share/R/library/coda/html/read.coda.html
/usr/share/R/library/coda/html/read.coda.interactive.html
/usr/share/R/library/coda/html/read.openbugs.html
/usr/share/R/library/coda/html/rejectionRate.html
/usr/share/R/library/coda/html/spectrum0.ar.html
/usr/share/R/library/coda/html/spectrum0.html
/usr/share/R/library/coda/html/summary.mcmc.html
/usr/share/R/library/coda/html/thin.html
/usr/share/R/library/coda/html/time.mcmc.html
/usr/share/R/library/coda/html/traceplot.html
/usr/share/R/library/coda/html/trellisplots.html
/usr/share/R/library/coda/html/varnames.html
/usr/share/R/library/coda/html/window.mcmc.html

Opening Firefox on thin.html shows a R help page.

re: URL is still not valid

I am stumped here. What should this look like? The URL field is the same in my spec file as it is here https://fedoraproject.org/wiki/Packaging:R. Should it be removed or should the Source0 field be updated to be more general? Can you give me a hint.

Thanks!
Chris

Comment 7 Pierre-YvesChibon 2010-06-05 15:25:20 UTC
(In reply to comment #6)
> re: The file Thin.R in the R folder is an empty file
> 
> I don't have a Thin.R in R-coda.rpm, I do have a thin.html (or do you mean
> line.R (because that has data too)).

I meant Thin.R in the R folder of the sources.

> re: URL is still not valid
> 
> I am stumped here. What should this look like? The URL field is the same in my
> spec file as it is here https://fedoraproject.org/wiki/Packaging:R. Should it
> be removed or should the Source0 field be updated to be more general? Can you
> give me a hint.

The correct URL would be:
http://cran.r-project.org/web/packages/coda/index.html

Comment 8 chris desjardins 2010-06-07 13:51:50 UTC
Thin.R is empty in the original source as well. Is this a situation where I should contact upstream and ask them why there is nothing in this file?

I've changed the URL in the spec file and the update spec and SRPM are available here:

http://dl.dropbox.com/u/1501309/Fedora/R-coda.spec
http://dl.dropbox.com/u/1501309/Fedora/R-coda-0.13.5-3.fc13.src.rpm

Comment 9 chris desjardins 2010-06-07 14:51:11 UTC
re: Thin.R, I have heard back from the upstream author and he told me that it was a stray file that found its way into the build directory and has been removed in an upcoming version.

Comment 10 Pierre-YvesChibon 2010-08-30 14:24:26 UTC
* Latest version packaged
88d149271be44968f36ebd31f530ba0b68e5830e  coda_0.13-5.tar.gz
88d149271be44968f36ebd31f530ba0b68e5830e  /home/pingou/rpmbuild/SOURCES/coda_0.13-5.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 3 %doc
? More element than expected in %doc
  : COPYING
* The rpm installed in _datadir
* The rpm uses %{_datadir} and is noarch
* The rpm seems to have the required element in %install
LANG=C rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-coda.spec > R-coda.spec-build.log 2>&1 
* Build properly under 2.6.33.8-149.fc13.x86_64
* rpmlint:
R-coda.src: W: spelling-error Summary(en_US) mcmc -> McMahon, McCoy, McGee
R-coda.noarch: W: spelling-error Summary(en_US) mcmc -> McMahon, McCoy, McGee
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2435129
   0 free  0 open  2 done  0 failed
   2435129 build (dist-f14, R-coda-0.13.5-3.fc13.src.rpm) completed successfully


* Build is fine
* rpmlint's warnings are safe to ignore
* %check is present
* All test are passed successfully


I will approve this package as soon as you have been approved in the packager group

Comment 11 Jason Tibbitts 2010-12-06 18:29:22 UTC
I happen to have a need for this package, and an also a sponsor.  I see you've submitted several packages, but at least jags seems to be held up in review.  Are you still interested in submitting these packages to Fedora?  If so I'll try to work out what the hold up is.

Comment 12 Pierre-YvesChibon 2011-01-07 08:29:29 UTC
ping


Note You need to log in before you can comment on or make changes to this bug.